--- Makefile.orig	2014-07-31 01:32:44.000000000 +0900
+++ Makefile	2014-09-15 09:33:31.000000000 +0900
@@ -12,6 +12,8 @@
 PRELOAD=$(LIBRARY)I.dylib
 INCLUDES=cloak.h static.h
 DEPEND=$(INCLUDES) Makefile
+LD=clang
+FC=gfortran
 
 all: static dynamic preload
 static: $(STATIC)
@@ -25,25 +27,24 @@
 	ranlib $@
 
 $(DYNAMIC): $(OBJECT)
-	clang -shared -o $@ $^ \
+	$(LD) -shared $(LDFLAGS) -o $@ $^ \
 		-Wl,-reexport_framework -Wl,Accelerate \
 		-install_name $(LIBDIR)/$@
 
 $(PRELOAD): $(SOURCE) $(DEPEND)
-	clang -shared $(CFLAGS) -DVECLIBFORT_INTERPOSE -o $@ -O $(SOURCE) \
+	$(LD) -shared $(LDFLAGS) -DVECLIBFORT_INTERPOSE -o $@ -O $(SOURCE) \
 		-Wl,-reexport_framework -Wl,Accelerate \
 		-install_name $(LIBDIR)/$@
 
 install: all
-	mkdir -p $(LIBDIR)
-	cp -f $(STATIC) $(LIBDIR)
-	cp -f $(DYNAMIC) $(LIBDIR)
-	cp -f $(PRELOAD) $(LIBDIR)
+	cp -f $(STATIC) $(DESTDIR)$(LIBDIR)
+	cp -f $(DYNAMIC) $(DESTDIR)$(LIBDIR)
+	cp -f $(PRELOAD) $(DESTDIR)$(LIBDIR)
 
 clean:
 	rm -f $(OBJECT) $(STATIC) $(DYNAMIC) $(PRELOAD)
 
 check: tester.f90 $(OBJECT)
-	gfortran -o tester -O $^ -framework Accelerate 
+	$(FC) -o tester -O $^ -framework Accelerate 
 	./tester
 
